Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Create list

Prev Next
Post
/create/list

Used to create a new list. Review our dedicated guide for more information on user lists.


Identifier options

  • user_id
  • external_id
  • profile_id
  • email
  • mobile_number
  • device_id - first android ID or IDFV collected
  • device_idfv - current IDFV
  • device_anid - current Android ID
  • device_idfa - IDFA
  • device_adid - Android Ad ID
  • token - Push Token
Body parameters
object
apptoken
string Required

Your App token

title
string Required

Title of the list

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "message": "List is successfully created",
  "model": {
    "id": "3810889",
    "project_id": "PROJECT_ID",
    "name": "External users",
    "identifier": "user_id"
  }
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
message
string
ExampleList is successfully created
model
object
id
integer
Default0
Example3810889
project_id
string
ExamplePROJECT_ID
name
string
ExampleExternal users
identifier
string
Exampleuser_id
external_id
suppress
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "List is not created",
  "errors": {
    "name": [
      "Name cannot be blank."
    ],
    "identifier": [
      "Identifier cannot be blank."
    ]
  }
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleList is not created
errors
object
name
Array of string
string
ExampleName cannot be blank.
identifier
Array of string
string
ExampleIdentifier cannot be blank.